<?php
include('head.php');

$configfolder = 'what-sql-to-backup/';

if ($whattobackup == 'list')
	{
	$filelist = array();	
	$handle = opendir($configfolder);
	while (false !== ($file = readdir($handle)))
		{
	   	if	(is_file($configfolder."//".$file))
	   			{
	     			$filelist[] = $file;
	   			}
	  	}
	closedir($handle);
	
	if (!$suppressoutput)
		{
		echo "<ul>";
		foreach ($filelist as $file)
			{
			@require($configfolder.$file);
		  	echo '<li><a href="busql.php?whattobackup='.basename($file).'">'.$title.'</a></li>';
			}
		echo "</ul>";
		include('foot.php');
		}
	}
else
	{
	include('head2.php');
	
	if (!$whattobackup) // no .php name given -> backup as per 'phpbb.php'
		{
		$whattobackup = 'phpbb.php';
		}

	require $configfolder.$whattobackup;
	
	$filename = $domainname.'-'.$dbname.'-mysql_dump-'.date('Y-m-d_H.ia').'.sql.zip';
	$command = "mysqldump --complete-insert --opt -h $dbhost -u $dbuser -p".$dbpasswd." $dbname | zip > ".dirname(__FILE__).'/'.$filename.($suppressoutput ? ' 2> '.dirname(__FILE__).'/busqlerror.log &' : '');
	// if "|zip" doesn't work for you then try "|gzip"
	
	$shelloutput = shell_exec($command);
	
	if (!$suppressoutput)
		{
		echo '<br />'.htmlspecialchars($shelloutput);
		echo '<br />Backup de la DB completo:<br /><a href="'.$filename.'">'.$filename.'</a>';
		include('foot.php');
		}
	}
	
?>