<html>
<body>

<?php

// With this PHP script you can easily protect your online folders.
// Simply upload this file into the folder that you want to protect
// e.g. http://www.yourdomain.com/folder/htaccess-protectthisfolder.php
// and then run it.
// It will ask you for the desired username and the desired password
// and will then create the needed .htaccess and .htpasswd files to password-protect your folder

// This file works as a standalone for ANY folder but is actually part of the 
// instructions "How to make your phpBB more secure and to protect it against hackers" at
// http://www.in-my-opinion.org/in-my-opinion-3734.html
// All questions and suggestions can be formulated at that URL.


$nameofscript = basename($HTTP_SERVER_VARS['PHP_SELF']);

if ((file_exists('.htaccess')) || (file_exists('.htpasswd')))
	{
	echo 'Perdon, el archivo ".htaccess" o ".htpasswd" ya existe en esta carpeta. Primero debe borrarlo.';
	}
else
	{
	if (($username) && ($password))
		{
		if (strlen($password) > 8)
			{
			echo 'Contrasea de 8 caracteres como mximo';
			}
		else
			{
			$passwordhash = crypt($password,chr(rand(65,90)).chr(rand(65,90)));
			// echo '<br />'.$passwordhash;
			
			$htaccess = <<<HEREDOC
Options -Indexes

<Files .htaccess>
order allow,deny
deny from all
</Files>
<Files .htpasswd>
order allow,deny
deny from all
</Files>

AuthUserFile {fullpath}/.htpasswd
AuthGroupFile /dev/null
AuthName "Area Privada - Protegida por contrasea"
AuthType Basic
Require valid-user
HEREDOC;
			$htpasswd = $username.':'.$passwordhash;
			$htaccess = str_replace('{fullpath}',dirname(__FILE__),$htaccess);
			
			// Write .htpasswd (The file that contains the username and the password)
			if ($handle = @fopen('.htpasswd', 'w'))
				{
				fwrite($handle, $htpasswd);
				fclose($handle);
				}
			else
				{
				echo '<br />'.'No se puede escribir ".htpasswd". Los permisos de la carpeta deben ser "para escribir"';
				}
			
			// Write .htaccess (The file that manages the security)
			if ($handle = @fopen('.htaccess', 'w'))
				{
				fwrite($handle, $htaccess);
				fclose($handle);
				}
			else
				{
				echo '<br />'.'No se puede escribir ".htaccess". Los permisos de la carpeta deben ser "para escribir"';
				}
			
			if ((@filesize('.htaccess') > 0) && (@filesize('.htpasswd') > 0))
				{
				echo <<<HEREDOC
<br />Bien, ahora su carpeta se debe proteger
<br />Si alguien intenta ejecutar/ver un archivo dentro de esta carpeta, tendr que saber el nombre de usuario y contrasea.
<br />(Usted necesita cerrar todas las ventanas del navegador para acceder a la proteccin del acceso.)
<br />Ahora puede borrar con seguridad "$nameofscript".
HEREDOC;
				}
			else
				{
				echo '<br />'.'Algo fue mal!!';
				}
			}
		}
	else
		{
		echo <<<HEREDOC
1) Si el script falla durante el proceso, debe fijar los atributos de la carpeta donde se encuentra "$nameofscript" a 755 o 777. Usted puede cambiar los atributos mas adelante.
<br />
2) Rellene el nombre de usuario y contrasea y pulse "Enviar"
<br />
		<center>
		<form method="post" action="$nameofscript">
		Nombre de Usuario: <input name="username">
		<br />
		Contrasea: <input name="password">
		<br />
		<input type="Enviar">
		
		</form>
		</center>


HEREDOC;
		}
	
	}
?>

</body>
</html>